Bug 974562 - Rule options are missing in Guided editors
Rule options are missing in Guided editors
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: DR6
: 6.0.0
Assigned To: manstis
Jiri Locker
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 08:44 EDT by Jiri Locker
Modified: 2014-08-06 16:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CreditApproval (12.76 KB, image/png)
2013-06-17 05:17 EDT, manstis
no flags Details
BankruptcyHistory (39.87 KB, image/png)
2013-06-17 05:17 EDT, manstis
no flags Details
CreditApproval, options missing (12.05 KB, image/png)
2013-06-17 06:13 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2013-06-14 08:44:54 EDT
Description of problem:
It is not possible to edit rule options (like salience, no-loop) in guided editors (.gre.drl, .gre.dslr, .gdst). In business rule GRE there used to be a link button (show options...), which is now not present. In GDT editor there is collapsible panel (options), which shows no content after expanding it.


Version-Release number of selected component (if applicable):
DR5 (Beta3)

How reproducible:
always, e.g. Bankruptcy history, CreditApproval or Pricing loans in mortgage project
Comment 3 manstis 2013-06-17 05:17:15 EDT
Created attachment 761965 [details]
CreditApproval

Credit Approval has "show options..."
Comment 4 manstis 2013-06-17 05:17:54 EDT
Created attachment 761966 [details]
BankruptcyHistory

Bankruptcy History has "show options..."
Comment 5 manstis 2013-06-17 05:18:45 EDT
The attached screen-shots were taken using "master" branch (post Beta3) on FF. Is this another issue with Chrome/Safari?
Comment 6 Jiri Locker 2013-06-17 06:11:50 EDT
No, this is cross-browser issue. Either it has been fixed on master after Beta3 or it was introduced during the productization build process (hard to imagine). I suppose we can switch this to MODIFIED and verify in the next build.
Comment 7 Jiri Locker 2013-06-17 06:13:58 EDT
Created attachment 761979 [details]
CreditApproval, options missing
Comment 8 manstis 2013-06-17 06:58:27 EDT
Putting to MODIFIED for testing in the next release as proposed by Jiri.
Comment 9 Ryan Zhang 2013-07-11 03:25:21 EDT
I checked this with DR6.
The result is the same as Jiri reports.

I also checked the kie-drools-wb-distribution-wars-6.0.0.Beta5-jboss-as7.0.war, it also has the problem reported.

@manstis, what enviroment does you test?
EAP+the jboss-as7 distribution?
Comment 12 Jiri Locker 2013-08-07 04:13:03 EDT
Yes, ADMIN role (capital) helps in DR6.

Note You need to log in before you can comment on or make changes to this bug.